Skip to main content
PATCH
/
details
Update Organization details
curl --request PATCH \
  --url https://{tenantDomain}/my-org/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "testorg",
  "display_name": "Test Organization",
  "branding": {
    "logo_url": "https://example.com/logo.png",
    "colors": {
      "primary": "#000000",
      "page_background": "#FFFFFF"
    }
  }
}
'
{
  "id": "org_zW1UHutvkVWSWdCC",
  "name": "testorg",
  "display_name": "Test Organization",
  "branding": {
    "logo_url": "https://example.com/logo.png",
    "colors": {
      "primary": "#000000",
      "page_background": "#FFFFFF"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-ionic-capacitor-quickstart-modernization.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string

The name of this organization.

Required string length: 1 - 50
display_name
string

Friendly name of this organization.

Required string length: 1 - 255
branding
object

Theme defines how to style the login pages.

Response

Organization details successfully retrieved.

id
string
read-only

Organization identifier.

Pattern: ^org_[A-Za-z0-9]{16}$
name
string

The name of this organization.

Required string length: 1 - 50
display_name
string

Friendly name of this organization.

Required string length: 1 - 255
branding
object

Theme defines how to style the login pages.